# Payment Status

Part of the direct debit payment is to check status service. This service is useful for partners to check whether the direct debit payment has already succeeded or failed. API will return with transaction status information based on originalPartnerReferenceNo.

### Technical Specification <a href="#technical-specification" id="technical-specification"></a>

```
Service Code: 55
```

| Environment | Method | URL                                               |
| ----------- | ------ | ------------------------------------------------- |
| Development | POST   | <https://snapstag.finnet.co.id/v1.0/debit/status> |
| Production  | POST   | <https://snap.finnet.co.id/v1.0/debit/status>     |

### Body Request <a href="#body-request" id="body-request"></a>

| No | Name                       | Type   | Mandatory | Min Length | Max Length | Description                                                               |
| -- | -------------------------- | ------ | --------- | ---------- | ---------- | ------------------------------------------------------------------------- |
| 1  | originalPartnerReferenceNo | String | M         | 1          | 64         | Transaction identifier on service consumer system                         |
| 2  | serviceCode                | String | M         | 1          | 2          | To identify which Direct Debit transactions need to be checked, enter 54. |

#### Sample Request <a href="#sample-request" id="sample-request"></a>

```
{
  "originalPartnerReferenceNo": "78912343452347892",
  "serviceCode": "54"
}
```

### Body Response <a href="#body-response" id="body-response"></a>

| No | Name                       | Type                                                                | Mandatory | Min Length | Max Length | Description                                                                                                     |
| -- | -------------------------- | ------------------------------------------------------------------- | --------- | ---------- | ---------- | --------------------------------------------------------------------------------------------------------------- |
| 1  | responseCode               | [Enum](/api-reference/appendix/enumeration/response-code-list.md)   | M         | 1          | 7          | BI SNAP Response Code.                                                                                          |
| 2  | responseMessage            | String                                                              | M         | 1          | 150        | BI SNAP Response Message.                                                                                       |
| 3  | originalReferenceNo        | String                                                              | O         | 1          | 64         | Transaction identifier/reference generated by PJP AIS Selain Bank                                               |
| 4  | originalPartnerReferenceNo | String                                                              | O         | 1          | 64         | Transaction identifier on service consumer system                                                               |
| 5  | serviceCode                | String                                                              | M         | 1          | 2          | To identify which Direct Debit transactions need to be checked, enter 54.                                       |
| 6  | latestTransactionStatus    | String                                                              | M         | 1          | 2          | Latest transaction status labelled with constants                                                               |
| 7  | transactionStatusDesc      | String                                                              | O         | 1          | 50         | Transaction status description                                                                                  |
| 8  | transAmount                | [Object](/api-reference/appendix/json-object/transamount-object.md) | O         | 1          | 2          | Transaction amount that will be paid using this payment method If it's IDR then value includes 2 decimal digits |

#### Sample Response <a href="#sample-response" id="sample-response"></a>

```
{
  "latestTransactionStatus": "00",
  "originalPartnerReferenceNo": "78912343452347892",
  "originalReferenceNo": "2210070000001",
  "responseCode": "2005500",
  "responseMessage": "Request has been processed successfully",
  "serviceCode": "54",
  "transAmount": {
    "currency": "IDR",
    "value": "10000.00"
  },
  "transactionStatusDesc": "Success"
}
```

### Response Code & Message <a href="#response-code--message" id="response-code--message"></a>

| No | HTTP Code | Code    | Message (Indonesian)            |
| -- | --------- | ------- | ------------------------------- |
| 1  | 200       | 2005500 | Successful                      |
| 2  | 400       | 4005500 | Bad request                     |
| 3  | 400       | 4005501 | Invalid field format {field}    |
| 4  | 400       | 4005502 | Invalid mandatory field {field} |
| 5  | 401       | 4015501 | Invalid token (B2B)             |
| 6  | 401       | 4015500 | Unauthorised. \[Reason]         |
| 7  | 403       | 4035501 | Feature not allowed             |
| 8  | 403       | 4035504 | Activity count limit exceeded   |
| 9  | 404       | 4045508 | Invalid merchant                |
| 10 | 500       | 5005500 | General error                   |
| 11 | 504       | 5045500 | Timeout                         |


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.finpay.id/api-reference/finpay-money/linkage/direct-debit/payment-status.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
